#
# spec file for package cairo-clock (Version 0.3.4)
#
#

Name:           cairo-clock
Summary:        Cairo-rendered on-screen clock
Version:        0.3.4
Release:        %mkrel 1
License:        GPL-2.0
Group:          Toys
URL:            http://macslow.thepimp.net/projects/cairo-clock
Source0:        %{name}-%{version}.tar.xz
Patch0:         cairo-clock-fix-ldflags.patch
#---------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glade2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}rsvg2-devel
#---------------------------------------
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
It is an analog clock displaying the system-time. It leverages the
new visual features offered by a compositing manager to produce a
time display with pretty-pixels.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x

%make

%install
rm -rf %buildroot

%makeinstall

rm -f %{buildroot}%{_libdir}/*.la


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Toys" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/man/man1/cairo-clock.1.bz2


%clean
rm -rf %{buildroot}

%changelog
* Wed Apr 30 2014 bb <bb> 0.3.4-1pclos2014
- re-import into pclos for pissycat
